Subject: RE: [Simple] Sessions of MESSAGEs

From: "Robert Osborne" <[email-masked]>
Date: Mon, 20 Aug 2001 15:32:42 -0700

>-----Original Message-----
>From: Vasilis Polychronidis [mailto:[email-masked]]
>Sent: Monday, August 20, 2001 2:25 PM
>To: Robert Osborne
>Cc: Zane Thomas; [email-masked]
>Subject: Re: [Simple] Sessions of MESSAGEs
>
>
>Robert Osborne wrote:
>
>> Hi,
>>
>> what peer network are you referring to? I know of no organization
>> that would like the idea of its internal clients IP addresses being
>> revealed to the outside world. Therefore there has to be a server
>> (that may be acting as a proxy) to cross firewalls. If this server
>> has to be there, it might as well be a SIP proxy that allows for
>> the IM traffic to flow using any authenticated connections it has
>> to the destination domain.
>>
>> Of course it could be argued that audio and video have the same
>> issues. However IM is different in that the amount of traffic is
>> causes is significantly less, and users have come accustomed due
>> to MSN Messenger, Yahoo and AOL, that it is possible to send IMs
>> between users within different companies. Therefore I favour the
>> approach that makes it easier for IMs to be sent between domains
>> in a simple fashion. I do not believe creating a special connection
>> for each IM session is simple.
>
>Why?
>Hmmm....
>TCP or HTTP is not simple??
>Most of the commercially deployed IM systems are using TCP or 
>HTTP as their
>transport.

I was not referring to TCP or HTTP causing any complexity (any fool
can write Winsock code to create a TCP connection in 5 mins and it
would be insulting to suggest that this is complex), but instead to 
deployment issues that create complexity, such as firewalls.

Most deployed IM systems (MSN, Yahoo, AOL) today rely upon one huge 
cloud living out on the Internet. All clients create an outbound 
connection to this cloud. I am not an expert in all solutions are out 
there, but I doubt if there are any that rely upon creating a connection 
into the client.

>Using TCP or HTTP solves all your firewall issues.

Actually TCP or HTTP does not solve all my firewall issues in itself. 
If I wanted to send an IM to yourself, I would first have to negotiate
past my local firewall, and then your firewall. I should easily be able
to get outside of my firewall (some organizations lock the firewall
down on everything but port 80, but lets ignore that for the moment).

However, I would be suprised if OpenWave trusts any TCP connection
that comes from the internet. I would also be suprised if I am able
to directly connect to your client. Therefore there has to be
some trusted server that I can connect to within the OpenWave
DMZ, which can proxy my IM to yourself. 

Though it is always possible to create such a "media" proxy I would
not call it a simple solution.

>IM as a session with a TCP or HTTP transport is the right way moving
>forward.
>
>>
>>
>> Rob O
>>
>> >-----Original Message-----
>> >From: Zane Thomas [mailto:[email-masked]]
>> >Sent: Monday, August 20, 2001 12:58 PM
>> >To: [email-masked]
>> >Subject: Re: [Simple] Sessions of MESSAGEs
>> >
>> >
>> >Robert,
>> >
>> >> By forcing MESSAGEs to always go via a seperate connection we are
>> >> introducing severe constraints that will block deployment of IM
>> >> solutions. Why would a company deploy a server to allow for
>> >> federated presence, have to deploy another server to get the IM
>> >> through the firewall? In reality they shouldnt need to, 
>they should
>> >> be able to use the same server.
>> >
>> >You're assuming a server-centric model, presence and IM could
>> >be carrid
>> >directly by a peer network having its own builtin firewall
>> >solutions.  The
>> >one thing p2p solutions need is some way to find at least 
>one peer, SIP
>> >seems to me to serve that goal nicely.
>> >
>> >Zane
>> >
>> >
>> >_______________________________________________
>> >simple mailing list
>> >[email-masked]
>> >http://mailman.dynamicsoft.com/mailman/listinfo/simple
>> >
>> _______________________________________________
>> simple mailing list
>> [email-masked]
>> http://mailman.dynamicsoft.com/mailman/listinfo/simple
>
>
>
>

---

From: Vasilis Polychronidis <[email-masked]>
Date: Mon, 20 Aug 2001 16:53:52 -0700

Hi Robert,
Thank you for taking the time to explain to me the NAT issues related to the
existing IM systems.
I do not disagree with your analysis below however I disagree with you
statement
that this is not a simple solution.
please see my comments below:

BR,

-Vasilis Polychronidis

> not call it a simple solution.

Well I do :-)
What is simple or is not as objective as we would like to think.
After all most of the commercial systems today include (as you clearly
explained above)
an IM Server (trusted server) and this is how the overcome the NAT issues.